Bug 1595029 (CVE-2018-12364) - CVE-2018-12364 Mozilla: CSRF attacks through 307 redirects and NPAPI plugins
Summary: CVE-2018-12364 Mozilla: CSRF attacks through 307 redirects and NPAPI plugins
Status: NEW
Alias: CVE-2018-12364
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=important,public=20180626,repo...
Keywords: Security
Depends On: 1590694 1590696 1590697 1598644 1598645 1598646 1607204
Blocks: 1590698
TreeView+ depends on / blocked
 
Reported: 2018-06-26 01:52 UTC by Doran Moppert
Modified: 2018-07-24 21:34 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2112 None None None 2018-06-28 16:18 UTC
Red Hat Product Errata RHSA-2018:2113 None None None 2018-06-28 16:20 UTC
Red Hat Product Errata RHSA-2018:2251 None None None 2018-07-24 21:34 UTC
Red Hat Product Errata RHSA-2018:2252 None None None 2018-07-24 21:34 UTC

Description Doran Moppert 2018-06-26 01:52:13 UTC
NPAPI plugins, such as Adobe Flash, can send non-simple cross-origin requests, bypassing CORS by making a same-origin POST that does a 307 redirect to the target site. This allows for a malicious site to engage in cross-site request forgery (CSRF) attacks.



External Reference:

https://www.mozilla.org/en-US/security/advisories/mfsa2018-16/#CVE-2018-12364

Comment 1 Doran Moppert 2018-06-26 01:52:17 UTC
Acknowledgments:

Name: the Mozilla project
Upstream: David Black

Comment 5 errata-xmlrpc 2018-06-28 16:18:45 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2018:2112 https://access.redhat.com/errata/RHSA-2018:2112

Comment 6 errata-xmlrpc 2018-06-28 16:20:10 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:2113 https://access.redhat.com/errata/RHSA-2018:2113

Comment 9 errata-xmlrpc 2018-07-24 21:34:00 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:2252 https://access.redhat.com/errata/RHSA-2018:2252

Comment 10 errata-xmlrpc 2018-07-24 21:34:39 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2018:2251 https://access.redhat.com/errata/RHSA-2018:2251


Note You need to log in before you can comment on or make changes to this bug.